Skip to main content
DELETE
/
organization
/
mcp-servers
/
{server_id}
Python
import os
from datagrid_ai import Datagrid

client = Datagrid(
    api_key=os.environ.get("DATAGRID_API_KEY"),  # This is the default and can be omitted
)
client.organization.mcp_servers.delete(
    "server_id",
)
{
  "status_code": 123,
  "error": "rate_limit_exceeded",
  "message": "<string>",
  "retryable": true,
  "statusCode": 123,
  "mitigation": "<string>",
  "details": {
    "reason": "<string>"
  }
}
Deletes a registered MCP server from the teamspace. Use this when decommissioning a server or replacing it with a new registration. If this server is attached to agents, remove/replace those mappings as part of cleanup.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

server_id
string
required

The ID of the MCP server.

Response

MCP server deleted